| 200 | SUCCESS |
| 400HAL01 | Invalid request body |
| 400HAL11 | Invalid checkin date format |
| 400HAL12 | Checkin date must be equal or greather than today |
| 400HAL13 | Invalid checkout date format |
| 400HAL14 | Checkout date must be greater than checkin date |
| 400HAL15 | The duration of stay not exceed 30 days |
| 400HAL22 | The hotels field must contain between 1 and {limit} hotels |
| 400HAL23 | The hotels field must not contain duplicate hotelId values |
| 400HAL16 | The totalRoom field must be in 1 to 9 |
| 400HAL17 | The totalAdult field must be in {totalRoom} to {totalRoom × 4} |
| 400HAL18 | The totalChild field must be in 0 to {totalRoom × 2} |
| 400HAL19 | The countryOfPassport field must be valued |
| 400HAL20 | The endUserIpAddress field must be a valid IP address without port |
| 400HAL21 | The currency field must be a 3-letter uppercase currency code |
| 400SAL11 | Unsupported currency: {CURRENCY} |
| 401MAU01 | Unauthorized |
| 401MAU11 | Invalid token issuer |
| 401MAU02 | Token expired |
| 401MAU12 | Token session expired |
| 401MAU13 | Agent not found |
| 403MAC01 | Invalid permission |
| 500ADR11 | Internal Server Error |
| 500ADR12 | Internal Server Error |
| 500ADR13 | Internal Server Error |
| 500ADR14 | Internal Server Error |
| 500ADR15 | Internal Server Error |
| 500ADR16 | Internal Server Error |
| 500ADR17 | Internal Server Error |